
Redmine - Patch #26492

% is not valid without a format specifier

2017-07-21 11:49 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 3.4.3   

Description

roadmap overview raises ArgumentError: incomplete format specifier on ruby 2.5 dev

as suggested on https://bugs.ruby-lang.org/issues/13761 it should be prepended with another '%'

'%0.0f%' % 45 - wrong

'%0.0f%%' % 45 - correct

 patch included

Environment:

  Redmine version                3.4.1.stable

  Ruby version                   2.5.0-p-1 (2017-07-21) [x86_64-linux]

  Rails version                  4.2.9

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            2.13.0

  Filesystem

Associated revisions

Revision 16841 - 2017-07-22 08:39 - Jean-Philippe Lang

ArgumentError: incomplete format specifier on ruby 2.5 dev (#26492).

Patch by Pavel Rosický.

Revision 16847 - 2017-07-22 09:12 - Jean-Philippe Lang

Merged r16841 (#26492).

History

#1 - 2017-07-22 07:54 - Go MAEDA

- Category set to Roadmap

- Target version set to 3.4.3

Certainly "%%" is correct to display a percent sign itself in sprintf format string.

Setting target version to 3.4.3.

#2 - 2017-07-22 08:40 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

#3 - 2017-07-22 09:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed
